            #GIT_CMT=175b9edc64da773b6d6d3bfef2bb6bf994b4993c
%global debug_package %{nil}
%global go_path $(go env GOPATH)

Name:           terraform
Version:	0.15.2
Release:    1.el7
Summary:        Terraform is a tool for building, changing, and combining infrastructure safely and efficiently.

Group:          Development/Libraries
License:        MPLv2.0
URL:            https://www.terraform.io/
Source0: terraform-0.15.2.tar.bz2

BuildRequires:  golang >= 1.13
BuildRequires:  git make

%description
Terraform is a tool for building, changing, and combining infrastructure safely 
and efficiently.

%package bundle
Summary:    Terraform-bundle is a helper program to create bundle archives, which are zip files that contain both a particular version of Terraform and a number of provider plugins. 
Group:      Development/Libraries

%description bundle
Terraform-bundle is a helper program to create bundle archives, which are zip files that contain both a particular version of Terraform and a number of provider plugins.

%prep
%autosetup -p1

%build
export GOPATH=%{go_path}
export RPM_VERSION=%{version}
export RPM_RELEASE=%{release}
export PATH=$GOPATH/bin:${PATH}

mkdir -p %{go_path}/src/github.com/hashicorp/terraform
cp -R * %{go_path}/src/github.com/hashicorp/terraform/
mkdir -p %{go_path}/src/github.com/hashicorp/terraform/tools/terraform-bundle
cp -R * %{go_path}/src/github.com/hashicorp/terraform/tools/terraform-bundle/

cd %{go_path}/src/github.com/hashicorp/terraform
go install
cd %{go_path}/src/github.com/hashicorp/terraform/tools/terraform-bundle
go install ./tools/terraform-bundle

%install
install -d %{buildroot}/%{_bindir}
find %{go_path}/bin -name "%{name}*" -exec install {} %{buildroot}/%{_bindir} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%attr(755, root, root) %{_bindir}/%{name}*
%doc CHANGELOG.md README.md LICENSE

%files bundle
%defattr(-,root,root,-)
%attr(755, root, root) %{_bindir}/%{name}-bundle
%doc tools/terraform-bundle/CHANGELOG.md tools/terraform-bundle/README.md

%changelog
* Wed May 5 2021 build <ca_buildteam_grp@oracle.com> - 0.15.2-1.el7
- Update to v0.15.2 for Oracle build


* Mon Apr 26 2021 build <ca_buildteam_grp@oracle.com> - 0.15.1-1.el7
- Update to v0.15.1 for Oracle build

* Wed Apr 14 2021 build <ca_buildteam_grp@oracle.com> - 0.15.0-1.el7
- Update to v0.15.0 for Oracle build

* Wed Mar 24 2021 build <ca_buildteam_grp@oracle.com> - 0.14.9-1.el7
- Update to v0.14.9 for Oracle build

* Wed Mar 10 2021 build <ca_buildteam_grp@oracle.com> - 0.14.8-1.el7
- Update to v0.14.8 for Oracle build

* Wed Feb 17 2021 build <ca_buildteam_grp@oracle.com> - 0.14.7-1.el7
- Update to v0.14.7 for Oracle build

* Thu Feb 04 2021 build <ca_buildteam_grp@oracle.com> - 0.14.6-1.el7
- Update to v0.14.6 for Oracle build

* Thu Jan 21 2021 Alan Steinberg <alan.steinberg@oracle.com> - 0.14.5-2.el7
- Update to v0.14.5 for Oracle build

* Wed Jan 20 2021 build <ca_buildteam_grp@oracle.com> - 0.14.5-1.el7
- Update to v0.14.5 for Oracle build

* Fri Jan 15 2021 Alan Steinberg <alan.steinberg@oracle.com> - 0.14.4-2.el7
- include terraform-bundle tool (Lans Hung) (Alan Steinberg)

* Wed Jan 06 2021 build <ca_buildteam_grp@oracle.com> - 0.14.4-1.el7
- Update to v0.14.4 for Oracle build

* Thu Dec 17 2020 build <ca_buildteam_grp@oracle.com> - 0.14.3-1.el7
- Update to v0.14.3 for Oracle build

* Tue Dec 08 2020 build <ca_buildteam_grp@oracle.com> - 0.14.2-1.el7
- Update to v0.14.2 for Oracle build

* Tue Dec 08 2020 build <ca_buildteam_grp@oracle.com> - 0.14.1-1.el7
- Update to v0.14.1 for Oracle build

* Wed Dec 02 2020 build <ca_buildteam_grp@oracle.com> - 0.14.0-1.el7
- Update to v0.14.0 for Oracle build

* Wed Oct 21 2020 build <ca_buildteam_grp@oracle.com> - 0.13.5-1.el7
- Update to v0.13.5 for Oracle build
